package gov.va.med.esr.jms.vadir.outboundResponse.model.militaryHistory;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class VADIR implements Serializable {
	private static final long serialVersionUID = -9220226585637440910L;

	private long vaId;
	private String oefOifIndicator;
	private String retirementStatusIndicator;
	private Date deathDate;
	private String deathIndicator;
	private List<ServicePeriod> servicePeriods;

	public long getVaId() {
		return vaId;
	}

	public void setVaId(long vaId) {
		this.vaId = vaId;
	}

	public String getOefOifIndicator() {
		return oefOifIndicator;
	}

	public void setOefOifIndicator(String oefOifIndicator) {
		this.oefOifIndicator = oefOifIndicator;
	}

	public String getRetirementStatusIndicator() {
		return retirementStatusIndicator;
	}

	public void setRetirementStatusIndicator(String retirementStatusIndicator) {
		this.retirementStatusIndicator = retirementStatusIndicator;
	}

	public List<ServicePeriod> getServicePeriods() {
		return servicePeriods;
	}

	public void setServicePeriods(List<ServicePeriod> list) {
		this.servicePeriods = list;
	}

	public Date getDeathDate() {
		return deathDate;
	}

	public void setDeathDate(Date deathDate) {
		this.deathDate = deathDate;
	}

	public String getDeathIndicator() {
		return deathIndicator;
	}

	public void setDeathIndicator(String deathIndicator) {
		this.deathIndicator = deathIndicator;
	}

}
